Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface QueryMetadata

All Superinterfaces:
  Metadata

    public interface QueryMetadata

extends Metadata

Represents a named query.

Since:
  3.0

Method Summary
`java.lang.String` | `getFetchPlan()` Accessor for the name of a fetch plan to use (if any).
`java.lang.String` | `getLanguage()` Accessor for the query language.
`java.lang.String` | `getName()` Accessor for the name of the query (set on construction).
`java.lang.String` | `getQuery()` Accessor for the single-string query.
`java.lang.String` | `getResultClass()` Accessor for the result class name for the query.
`java.lang.Boolean` | `getUnique()` Accessor for whether results from the query are unique
`boolean` | `getUnmodifiable()` Accessor for whether the query is unmodifiable.
`QueryMetadata` | `setFetchPlan(java.lang.String fetchPlanName)` Method to set the FetchPlan to use for this named query.
`QueryMetadata` | `setLanguage(java.lang.String lang)` Method to set the language of the query.
`QueryMetadata` | `setQuery(java.lang.String query)` Method to set the single-string query.
`QueryMetadata` | `setResultClass(java.lang.String clsName)` Method to set the result class name for the query
`QueryMetadata` | `setUnique(boolean unique)` Method to set if the query results are unique
`QueryMetadata` | `setUnmodifiable()` Method to set the query as not being modifiable from now.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### getName

    java.lang.String getName()

  Accessor for the name of the query (set on construction).

  Returns:
    The name

### setLanguage

    QueryMetadata setLanguage(java.lang.String lang)

  Method to set the language of the query.

  Parameters:
    `lang` - Query language

### getLanguage

    java.lang.String getLanguage()

  Accessor for the query language.

  Returns:
    The language

### setQuery

    QueryMetadata setQuery(java.lang.String query)

  Method to set the single-string query.

  Parameters:
    `query` - The query

### getQuery

    java.lang.String getQuery()

  Accessor for the single-string query.

  Returns:
    The query

### setResultClass

    QueryMetadata setResultClass(java.lang.String clsName)

  Method to set the result class name for the query

  Parameters:
    `clsName` - Result class name

### getResultClass

    java.lang.String getResultClass()

  Accessor for the result class name for the query.

  Returns:
    The result class name

### setUnique

    QueryMetadata setUnique(boolean unique)

  Method to set if the query results are unique

  Parameters:
    `unique` - Whether they are unique

### getUnique

    java.lang.Boolean getUnique()

  Accessor for whether results from the query are unique

  Returns:
    Results are unique?

### setUnmodifiable

    QueryMetadata setUnmodifiable()

  Method to set the query as not being modifiable from now.

### getUnmodifiable

    boolean getUnmodifiable()

  Accessor for whether the query is unmodifiable.

  Returns:
    Can't be changed?

### setFetchPlan

    QueryMetadata setFetchPlan(java.lang.String fetchPlanName)

  Method to set the FetchPlan to use for this named query.

  Parameters:
    `fetchPlanName` - name of the FetchPlan

### getFetchPlan

    java.lang.String getFetchPlan()

  Accessor for the name of a fetch plan to use (if any).

  Returns:
    The fetch plan name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.